Bug 1008175 - [abrt] BUG: soft lockup - CPU#1 stuck for 22s! [X:622]
[abrt] BUG: soft lockup - CPU#1 stuck for 22s! [X:622]
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
abrt_hash:1d30f38312dfe765a689d55a655...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-15 09:22 EDT by Peter Trenholme
Modified: 2016-07-19 06:22 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 06:22:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (187.49 KB, text/plain)
2013-09-15 09:22 EDT, Peter Trenholme
no flags Details

  None (edit)
Description Peter Trenholme 2013-09-15 09:22:11 EDT
Description of problem:
I was running ddrescue overnight on a faulty DVD. The only other peocess running were system processes (Kernel, KDM, KDE, X-server, etc.), gkrellm,  and a terminal window. 

The stuck CPU message was reported twice; once ~2AM for CPU#3, and again ~3AM for CPU#1. (The system has 4 CPUs.)

Note that this is on a (mostly current) Rawhide system using kernel 3.12.0-0.rc0.git21.1.fc21.x86_64.

Additional info:
reporter:       libreport-2.1.6
BUG: soft lockup - CPU#1 stuck for 22s! [X:622]
Modules linked in: udf crc_itu_t udp_diag tcp_diag inet_diag ipt_MASQUERADE iptable_nat nf_nat_ipv4 nf_nat xt_CHECKSUM iptable_mangle tun bridge stp llc ebtable_nat ebtables fuse md4 nls_utf8 cifs dns_resolver fscache bnep bluetooth ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 nf_conntrack_netbios_ns nf_conntrack_broadcast ip6table_filter nf_conntrack_ipv4 nf_defrag_ipv4 ip6_tables xt_conntrack nf_conntrack it87 hwmon_vid joydev btrfs snd_hda_codec_hdmi kvm_amd kvm raid6_pq libcrc32c microcode xor arc4 snd_hda_codec_realtek rt2800pci rt2800lib rt2x00pci rt2x00mmio rt2x00lib snd_hda_intel snd_hda_codec snd_hwdep eeprom_93cx6 snd_seq snd_seq_device snd_pcm mac80211 hid_gyration serio_raw edac_core edac_mce_amd sp5100_tco k10temp snd_page_alloc i2c_piix4 snd_timer snd cfg80211 crc_ccitt rfkill r8169 mii soundcore shpchp wmi acpi_cpufreq nfsd auth_rpcgss nfs_acl lockd sunrpc binfmt_misc raid1 radeon i2c_algo_bit drm_kms_helper ttm drm i2c_core usb_storage
irq event stamp: 3256928626
hardirqs last  enabled at (3256928625): [<ffffffff81748233>] restore_args+0x0/0x30
hardirqs last disabled at (3256928626): [<ffffffff817520ad>] apic_timer_interrupt+0x6d/0x80
softirqs last  enabled at (3256928624): [<ffffffff8107c981>] __do_softirq+0x1a1/0x410
softirqs last disabled at (3256925889): [<ffffffff8107cdc5>] irq_exit+0xc5/0xd0
CPU: 1 PID: 622 Comm: X Not tainted 3.12.0-0.rc0.git21.1.fc21.x86_64 #1
Hardware name: Hewlett-Packard p6710f/2AB1 , BIOS 6.07 05/04/2011
task: ffff8802ebb0ae40 ti: ffff8802eb632000 task.ti: ffff8802eb632000
RIP: 0010:[<ffffffff810e56c4>]  [<ffffffff810e56c4>] lock_is_held+0x54/0x70
RSP: 0018:ffff8802eb633880  EFLAGS: 00000246
RAX: 0000000000000000 RBX: ffff8802eb633808 RCX: 000000000000000f
RDX: 0000000000000000 RSI: ffffffff81c48020 RDI: 0000000000000246
RBP: ffff8802eb633890 R08: ffff88030a259ec0 R09: 0000000000000000
R10: 0000000000000001 R11: 0000000000000001 R12: ffff8802eb632000
R13: 0000000000000001 R14: 0000000000000000 R15: 0000000000000000
FS:  00007f690bcbb9c0(0000) GS:ffff880313000000(0000) knlGS:00000000f7790880
CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: 000000392f477590 CR3: 000000030bfc5000 CR4: 00000000000007e0
Stack:
 ffffffffa020b0e8 ffffffffa00b867c ffff8802eb6338b8 ffffffff810f5bd9
 ffffffffa020b0e8 ffffffffa00b867c 0000000000000000 ffff8802eb6338d0
 ffffffff810f5c32 ffffffffa00b867c ffff8802eb6338e0 ffffffff810fa52e
Call Trace:
 [<ffffffffa00b867c>] ? radeon_bo_create+0x16c/0x2c0 [radeon]
 [<ffffffff810f5bd9>] __module_address+0xe9/0x130
 [<ffffffffa00b867c>] ? radeon_bo_create+0x16c/0x2c0 [radeon]
 [<ffffffff810f5c32>] __module_text_address+0x12/0x60
 [<ffffffffa00b867c>] ? radeon_bo_create+0x16c/0x2c0 [radeon]
 [<ffffffff810fa52e>] is_module_text_address+0x1e/0x40
 [<ffffffff8109e068>] __kernel_text_address+0x58/0x80
 [<ffffffffa00b867c>] ? radeon_bo_create+0x16c/0x2c0 [radeon]
 [<ffffffff8101ce9f>] print_context_stack+0x8f/0x100
 [<ffffffff8101bc9f>] dump_trace+0x17f/0x2d0
 [<ffffffff810e82dd>] ? trace_hardirqs_on_caller+0xfd/0x1c0
 [<ffffffff810288db>] save_stack_trace+0x2b/0x50
 [<ffffffff8139d5d9>] dma_entry_alloc+0x59/0x90
 [<ffffffff8139dcf1>] debug_dma_map_page+0x91/0x140
 [<ffffffffa00b77a5>] radeon_ttm_tt_populate+0x155/0x2d0 [radeon]
 [<ffffffffa0086d0e>] ttm_tt_bind+0x3e/0x70 [ttm]
 [<ffffffffa008908f>] ttm_bo_handle_move_mem+0x52f/0x5b0 [ttm]
 [<ffffffffa00897b9>] ? ttm_bo_mem_space+0x169/0x340 [ttm]
 [<ffffffffa0089d87>] ttm_bo_move_buffer+0x167/0x180 [ttm]
 [<ffffffff810e5267>] ? __lock_is_held+0x57/0x80
 [<ffffffffa0089e4f>] ttm_bo_validate+0xaf/0x160 [ttm]
 [<ffffffffa008a15a>] ttm_bo_init+0x25a/0x420 [ttm]
 [<ffffffffa00b867c>] radeon_bo_create+0x16c/0x2c0 [radeon]
 [<ffffffffa00b8370>] ? radeon_bo_clear_va+0x60/0x60 [radeon]
 [<ffffffffa00cb003>] radeon_gem_object_create+0xa3/0x180 [radeon]
 [<ffffffffa00cb570>] radeon_gem_create_ioctl+0x60/0x160 [radeon]
 [<ffffffffa002d102>] drm_ioctl+0x532/0x670 [drm]
 [<ffffffff8130be66>] ? inode_has_perm.isra.49.constprop.65+0x56/0x80
 [<ffffffff812098d5>] do_vfs_ioctl+0x305/0x530
 [<ffffffff8130c2fb>] ? selinux_file_ioctl+0x5b/0x110
 [<ffffffff81209b81>] SyS_ioctl+0x81/0xa0
 [<ffffffff81751419>] system_call_fastpath+0x16/0x1b
Code: 66 90 65 48 8b 1c 25 80 c9 00 00 c7 83 34 08 00 00 01 00 00 00 e8 5d fb ff ff c7 83 34 08 00 00 00 00 00 00 89 c2 4c 89 e7 57 9d <66> 66 90 66 90 5b 41 5c 89 d0 5d c3 b8 01 00 00 00 c3 66 2e 0f
Comment 1 Peter Trenholme 2013-09-15 09:22:20 EDT
Created attachment 797925 [details]
File: dmesg
Comment 2 Jaroslav Reznik 2015-03-03 10:03:37 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 3 Fedora End Of Life 2016-07-19 06:22:16 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.